<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
	}
	.topnav{
		width:100vw;
		height:8vh;
		background:red;
		color:white;
		display: flex;
		align-items: center;
	}
	span{
		margin:auto 5vw;
		padding:10px 15px;
		border:1px solid white;
		transition: .3s;
	}
	span:hover{
		background:white;
		color:red;
	}
	.body-content{
		height:92vh;
		width:100vw;
		position: relative;
		display: flex;
	}
	.sidebar{
		position: absolute;
		height:100%;
		transition: .5s;
		background:yellow;
	}
	.content{
		color:white;
		display: flex;
		justify-content: center;
		align-items: center;
		font-size:20px;
		font-weight: bold;
		height:100%;
		flex:1;
		background:green;
	}

	.isClose>.topnav>.close{
		display: none;
	}
	.isOpen>.topnav>.menu{
		display:none;
	}

	.isClose>.body-content>.sidebar{
		width:0%;
	}

	.isOpen>.body-content>.sidebar{
		width:20%;
	}
</style>
<body>
<section class="isClose" id="main">
	<div class="topnav">
		<span class="menu" onclick="openNav()">MENU</span>
		<span class="close" onclick="closeNav()">CLOSE</span>
	</div>
	<div class="body-content">
		<div class="sidebar"></div>
		<div class="content"><span>	This is the content part</span></div>
	</div>
</section>
</body>
<script>
	function openNav(){
		document.getElementById("main").classList.remove('isClose');
		document.getElementById("main").classList.add('isOpen');
	}

	function closeNav(){
		document.getElementById("main").classList.remove('isOpen');
		document.getElementById("main").classList.add('isClose');
	}
</script>
</html>